HanMacWrdJTextInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
HanMacWrdJTextInternal::State Struct Reference

Internal: the state of a HanMacWrdJText. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
std::vector< MWAWFont > | m_fontList
| the font list More...
std::vector< Paragraph > | m_paragraphList
| the list of paragraph More...
std::vector< Section > | m_sectionList
| the list of section More...
long | m_ftnTextId
| the footnote zone id; More...
std::vector< long > | m_ftnFirstPosList
| the footnote begin positions More...
std::vector< TextZone > | m_textZoneList
| the list of text zone More...
std::map< long, int > | m_idTextZoneMap
| a map textId -> id in m_textZoneList More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a HanMacWrdJText.

## Constructor & Destructor Documentation

## § State()

HanMacWrdJTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## § m_actualPage

int HanMacWrdJTextInternal::State::m_actualPage

## § m_fontList

std::vector<MWAWFont> HanMacWrdJTextInternal::State::m_fontList

the font list

## § m_ftnFirstPosList

std::vector<long> HanMacWrdJTextInternal::State::m_ftnFirstPosList

the footnote begin positions

## § m_ftnTextId

long HanMacWrdJTextInternal::State::m_ftnTextId

the footnote zone id;

## § m_idTextZoneMap

std::map<long, int> HanMacWrdJTextInternal::State::m_idTextZoneMap

a map textId -> id in m_textZoneList

## § m_numPages

int HanMacWrdJTextInternal::State::m_numPages

## § m_paragraphList

std::vector<Paragraph> HanMacWrdJTextInternal::State::m_paragraphList

the list of paragraph

## § m_sectionList

std::vector<Section> HanMacWrdJTextInternal::State::m_sectionList

the list of section

## § m_textZoneList

std::vector<TextZone> HanMacWrdJTextInternal::State::m_textZoneList

the list of text zone

## § m_version

int HanMacWrdJTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx